Main Page Modules Data Structures File List Data Fields Globals Related Pages

# hashFunctionContext Struct Reference
[Hash Functions]

`#include <beecrypt.h>`

## Data Fields
const hashFunction * | algo
hashFunctionParam * | param

## Detailed Description

A hashFunction instance, global functions and specific parameters.

Definition at line 388 of file beecrypt.h.

## Field Documentation

const hashFunction* hashFunctionContext::algo

| global functions and parameters Definition at line 391 of file beecrypt.h. Referenced by hashFunctionContextDigest, hashFunctionContextInit, hashFunctionContextReset, hashFunctionContextUpdate, hashFunctionContextUpdateMC, and hashFunctionContextUpdateMP32.

hashFunctionParam* hashFunctionContext::param

| specific parameters Definition at line 393 of file beecrypt.h. Referenced by hashFunctionContextDigest, hashFunctionContextFree, hashFunctionContextInit, hashFunctionContextReset, hashFunctionContextUpdate, hashFunctionContextUpdateMC, and hashFunctionContextUpdateMP32.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h